/* ------------------------------ Common Part start ------------------------------ */
$fixed-column-width:225px;
$max-area-width:1440px; 
$min-area-width:970px;
$gray-border:1px solid #E0E2E6;
$main-text-color:#1C2534;
$input-placeholder-color:#DDDDDD;
$base-font-size:13px;

@mixin float-left-block ($margin) {display:block; float:left; margin:$margin;}
@mixin float-right-block ($margin) {display:block; float:right; margin:$margin;}

body {background:#FFFFFF; font-family:'Roboto', sans-serif; color:$main-text-color; margin:0; padding:0;}
a {text-decoration:none; color:#000000;}
img {border:0;}

.content, .HeaderContainer {max-width:$max-area-width; min-width:$min-area-width; margin:0 auto; position:relative; padding:0 20px; box-sizing:border-box;}
.leftcolumn, .rightcolumn {display:block; width:$fixed-column-width; position:absolute; box-sizing:border-box;}

.ListItem, .ListName, .ListDescription, .ListLink {display:block; min-height:22px;}
.ListItem {margin:15px 0 15px 0;}
.ListItem img {@include float-left-block(0 10px 0 0);}
.ListName {margin:3px 0; overflow:hidden; text-overflow:ellipsis; height:20px; white-space:nowrap;}
.ListDescription {color:#7C8695; font-size:$base-font-size + 1;}
.ListLink {margin:3px 0 0 0; color:$main-text-color; text-decoration:none; font-size:$base-font-size - 1;}

.BlockHeader {font-size:$base-font-size; color:#7C8695; font-weight:normal; letter-spacing:1px; width:100%;}
.SeeAll {@include float-right-block(3px 0 0 0);}
.Banner1 {margin:18px 0 0 15px;}
.AdsBy {font-size:$base-font-size - 1; margin:-11px 0 0 0; color:#D3D3D3;}
.AdsBy a {color:#D3D3D3;}
/* ------------------------------ Common Part end ------------------------------ */



/* ------------------------------ Header Block start ------------------------------ */
.HeaderBlock {background:#87B448; width:100%; height:68px; border-bottom:2px solid #71973C; box-sizing:border-box;}
.HeaderBlock a {color:#FFFFFF;}

.logo {@include float-left-block(10px 0 0 0); padding:0; width:130px;}
.UserArea {@include float-right-block(0 10px 0 0); padding:0;}
.UserPhoto {@include float-left-block(17px 0 0 11px); width:32px; height:32px;}
.UserName {@include float-left-block(23px 0 0 10px); white-space:nowrap;}

.Button {@include float-left-block(20px 15px 0 0); width:30px; height:30px;}
.Button01 {background:url('images/smallicon6.png') no-repeat center center;}
.Button02 {background:url('images/smallicon5.png') no-repeat center center;}

.SearchCompany {@include float-left-block(17px 0 0 30px); border-radius:5px; background:url('images/smallicon7.png') #73993D no-repeat 8px center; line-height:23px; padding:5px 5px 5px 39px; color:#FFFFFF; border:0; font-size:$base-font-size + 2;}

::-webkit-input-placeholder {color:$input-placeholder-color;}
::-moz-placeholder   {color:$input-placeholder-color;} /* Firefox 19+ */
:-moz-placeholder {color:$input-placeholder-color;} /* Firefox 18- */
:-ms-input-placeholder {color:$input-placeholder-color;}
/* ------------------------------ Header Block end ------------------------------ */



/* ------------------------------ Left Column start ------------------------------ */
.leftcolumn {left:0;}
.FeaturedCompanies {margin:13px 0 20px 0; border-top:$gray-border; border-bottom:$gray-border; padding:14px 0 7px 14px;}
.footer {width:160px; margin:-5px 0 0 10px;}
.footer, .footer a {font-size:$base-font-size - 1; color:#b7bfcd; float:left;}
.footer a:last-child {float:right;}
@media (max-width: $min-area-width) 
	{
	.footer a:first-child {width:100%;} 
	.footer a:last-child {float:left;}
	}

.Menu {height:51px; padding:15px 0 3px 64px; border-bottom:$gray-border; box-sizing:border-box; display:block;} 
@for $i from 1 through 4 {.Menu#{$i}{background:url('images/smallicon#{$i}.png') no-repeat 15px center;}}

/* ------------------------------ Left Column end ------------------------------ */



/* ------------------------------ Central Column start ------------------------------ */
.CentralColumn {display:block; left:$fixed-column-width; right:$fixed-column-width; position:absolute;}
.CentralColumn h1 {@include float-left-block(7px 0 0 13px); font-weight:normal; font-size:30px;}
.AddNewService {@include float-right-block(11px 20px 0 0); background:#87B448; padding:6px 13px; border-radius:5px; color:#FFFFFF; min-width:120px; white-space:nowrap;}
.ServiceDirectoryBlock {border:$gray-border; border-radius:5px; padding:5px; display:inline-block; margin:18px 19px 20px 15px; clear:both; text-align:center;}
.DirectoryBlocks {display:inline-block; margin:10px 7px 10px 7px; width:140px; height:182px; text-align:center;}
.ServiceDescription {display:block; float:left; font-size:$base-font-size; text-align:center; width:140px; max-width:140px;}
.ServiceIcon {width:140px; height:140px; border:$gray-border; display:block;  margin:0 0 14px 0;}
.ServiceIcon:hover {background-color:#F4F7FB;}

@for $i from 1 through 21 {.ServiceIcon#{$i}{background:url('images/icon#{$i}.png') no-repeat center center;}}
/* ------------------------------ Central Column end ------------------------------ */



/* ------------------------------ Right Column start ------------------------------ */
.rightcolumn {right:5px;}
.PeopleYouMayKnow, .FeaturedProducts {margin:17px 0 20px 0; border-bottom:$gray-border;}
.PeopleYouMayKnow {padding:0 0 20px 0;}
.FeaturedProducts {padding:0;}
/* ------------------------------ Right Column end ------------------------------ */